#include<iostream.h>
#include<conio.h>
int n, p, l[100][100]    , dpz[100], hdpz=0;
//        [human][zad];
//        dost.prosti zad
int main(){
  int g[100], br;
  cin>>n>>p;
  if(n<1||n>100||p<1||p>100){
    cout<<"error! bad input! ulialia!";
    getch(); return 0;
  }
  for(int i=0; i<n; i++){
    int d=1000, e=0;
    for(int j=0; j<p; j++){
      cin>>g[j];
      if(g[j]<0||g[j]>1000){
        cout<<"error! bad input! ulialia!";
        getch(); return 0;
      }
      if(d>=g[j]){ d=g[j]; }
      if(e<=g[j]){ e=g[j]; }
    }
    for(j=0; j<p; j++){
      if(d==g[j]){ l[i][j]=1;}
      if(e==g[j]){ l[i][j]=2;}
    }
  }
  for(i=0; i<p; i++){
    br=0;
    for(int j=0; j<n; j++){
      if(l[j][i]==1) br++;
      if(l[j][i]==2) {br=0; break;}
    }
    if(br>=n/2) cout<<i+1<<" ";
  }
  cout<<endl;
  getch(); return 0;
}